---
title: "0.12.0 - Release Candidate"
linkTitle: "0.12.0-rc"
date: 2019-07-30
---

This release includes all breaking changes that are required for the 1.0 release that is coming in the release in September - so
please review the breaking changes below, and the link to the updated documentation below to see all the changes that
have occurred in this release.

This includes moving all CRDs to v1, and upgrading to Kubernetes 1.12 as the supported platform.

We've also worked to complete functionality across GameServer SDKs, but we still have [some work left](https://github.com/googleforgames/agones/issues/927).

We are on track for a 1.0 release in September, with only a [few features left to implement](https://github.com/googleforgames/agones/milestone/14).

Check the <a href="https://github.com/googleforgames/agones/tree/release-0.12.0-rc" >README</a> for details on features, installation and usage.

**Breaking changes:**

- C++ SDK: Use const-reference in WatchGameServer [\#941](https://github.com/googleforgames/agones/issues/941)
- Proposal: Split up the api group stable.agones.dev [\#703](https://github.com/googleforgames/agones/issues/703)
- Update the supported version of Kubernetes to 1.12. [\#967](https://github.com/googleforgames/agones/pull/967) ([roberthbailey](https://github.com/roberthbailey))
- Update the node affinity key to the new label name. [\#964](https://github.com/googleforgames/agones/pull/964) ([roberthbailey](https://github.com/roberthbailey))
- Implement block on connect with Rust+Node.js SDK [\#953](https://github.com/googleforgames/agones/pull/953) ([markmandel](https://github.com/markmandel))
- C++ SDK: Update the function signature of WatchGameServer to use a const-reference [\#951](https://github.com/googleforgames/agones/pull/951) ([roberthbailey](https://github.com/roberthbailey))
- Update GKE documentation to 1.12 [\#897](https://github.com/googleforgames/agones/pull/897) ([roberthbailey](https://github.com/roberthbailey))
- Move the stable api group and promote it to v1 [\#894](https://github.com/googleforgames/agones/pull/894) ([roberthbailey](https://github.com/roberthbailey))
- Reserve\(\) SDK implementation [\#891](https://github.com/googleforgames/agones/pull/891) ([markmandel](https://github.com/markmandel))
- Promote allocation to v1 [\#881](https://github.com/googleforgames/agones/pull/881) ([roberthbailey](https://github.com/roberthbailey))
- Promote autoscaling to v1 [\#874](https://github.com/googleforgames/agones/pull/874) ([roberthbailey](https://github.com/roberthbailey))
- Remove / Expire FleetAllocation from documentation. [\#867](https://github.com/googleforgames/agones/pull/867) ([markmandel](https://github.com/markmandel))
- Remove FleetAllocation. [\#856](https://github.com/googleforgames/agones/pull/856) ([markmandel](https://github.com/markmandel))

**Implemented enhancements:**

- Make all yaml files in the examples directory use working configurations / images [\#969](https://github.com/googleforgames/agones/issues/969)
- Move nodejs example to a docker build [\#943](https://github.com/googleforgames/agones/issues/943)
- Upgrade to Kubernetes 1.12 [\#717](https://github.com/googleforgames/agones/issues/717)
- 1st Party / Distributed Matchmaker support [\#660](https://github.com/googleforgames/agones/issues/660)
- SDK Build/test pipeline separation from build-image [\#599](https://github.com/googleforgames/agones/issues/599)
- Move to using CRD Subresources for all Agones CRDs [\#329](https://github.com/googleforgames/agones/issues/329)
- Unity Plugin SDK [\#246](https://github.com/googleforgames/agones/issues/246)
- Add Reserve to Node.js SDK [\#955](https://github.com/googleforgames/agones/pull/955) ([steven-supersolid](https://github.com/steven-supersolid))
- Add the missing functions to the C++ SDK \(Allocated & Reserve\) [\#948](https://github.com/googleforgames/agones/pull/948) ([roberthbailey](https://github.com/roberthbailey))
- Update the nodejs example to build in a docker image [\#945](https://github.com/googleforgames/agones/pull/945) ([roberthbailey](https://github.com/roberthbailey))
- Updates to the C++ SDK along with the simple example that exercises it. [\#934](https://github.com/googleforgames/agones/pull/934) ([roberthbailey](https://github.com/roberthbailey))
- Update GameServer state diagram with Reserved [\#933](https://github.com/googleforgames/agones/pull/933) ([markmandel](https://github.com/markmandel))
- E2E tests for SDK.Reserve\(seconds\) [\#925](https://github.com/googleforgames/agones/pull/925) ([markmandel](https://github.com/markmandel))
- Add new GameServer lifecycle diagrams for Reserved [\#922](https://github.com/googleforgames/agones/pull/922) ([markmandel](https://github.com/markmandel))
- Compliance tests for Reserve\(seconds\). [\#920](https://github.com/googleforgames/agones/pull/920) ([markmandel](https://github.com/markmandel))
- Update GKE development tooling to 1.12 [\#887](https://github.com/googleforgames/agones/pull/887) ([markmandel](https://github.com/markmandel))
- Fix Rust SDK, add allocate, add conformance test [\#879](https://github.com/googleforgames/agones/pull/879) ([aLekSer](https://github.com/aLekSer))
- Add instructions about taints and tolerations to the install instructions [\#870](https://github.com/googleforgames/agones/pull/870) ([roberthbailey](https://github.com/roberthbailey))
- Add events to SDK state change operations [\#866](https://github.com/googleforgames/agones/pull/866) ([markmandel](https://github.com/markmandel))
- Add ReserveUntil to GameServer.Status [\#865](https://github.com/googleforgames/agones/pull/865) ([markmandel](https://github.com/markmandel))
- add unity example [\#860](https://github.com/googleforgames/agones/pull/860) ([whisper0077](https://github.com/whisper0077))
- SDK Conformance testing [\#848](https://github.com/googleforgames/agones/pull/848) ([aLekSer](https://github.com/aLekSer))
- Reserve proto definition and generated code [\#820](https://github.com/googleforgames/agones/pull/820) ([markmandel](https://github.com/markmandel))
- Cpp prerequisities cmake [\#803](https://github.com/googleforgames/agones/pull/803) ([dsazonoff](https://github.com/dsazonoff))

**Security fixes:**

- Need to Bump js-yaml from 3.12.1 to 3.13.1 in /sdks/nodejs  [\#868](https://github.com/googleforgames/agones/issues/868)
- Update node.js coverage, dependencies and potential issue [\#954](https://github.com/googleforgames/agones/pull/954) ([steven-supersolid](https://github.com/steven-supersolid))

Documentation: https://development.agones.dev/site/

See <a href="https://github.com/googleforgames/agones/blob/release-0.12.0-rc/CHANGELOG.md" >CHANGELOG</a> for more details on changes.

This software is currently alpha, and subject to change. Not to be used in production systems.

Images available with this release:

- [gcr.io/agones-images/agones-controller:0.12.0-rc](https://gcr.io/agones-images/agones-controller:0.12.0-rc)
- [gcr.io/agones-images/agones-sdk:0.12.0-rc](https://gcr.io/agones-images/agones-sdk:0.12.0-rc)
- [gcr.io/agones-images/agones-ping:0.12.0-rc](https://gcr.io/agones-images/agones-ping:0.12.0-rc)
- [gcr.io/agones-images/cpp-simple-server:0.10](https://gcr.io/agones-images/cpp-simple-server:0.10)
- [gcr.io/agones-images/nodejs-simple-server:0.1](https://gcr.io/agones-images/nodejs-simple-server:0.1)
- [gcr.io/agones-images/rust-simple-server:0.4](https://gcr.io/agones-images/rust-simple-server:0.4)
- [gcr.io/agones-images/unity-simple-server:0.2](https://gcr.io/agones-images/unity-simple-server:0.2)
- [gcr.io/agones-images/udp-server:0.14](https://gcr.io/agones-images/udp-server:0.14)
- [gcr.io/agones-images/xonotic-example:0.6](https://gcr.io/agones-images/xonotic-example:0.6)

Helm chart available with this release:

- <a href="https://agones.dev/chart/stable/agones-0.12.0-rc.tgz" ><code>helm install agones/agones --version 0.12.0-rc</code></a>

> Make sure to add our stable helm repository using `helm repo add https://agones.dev/chart/stable`