---
title: "1.16.0 - Release Candidate"
linkTitle: "1.16.0-rc"
date: "2021-07-13"
---

This is the 1.16.0-rc release of Agones.

This release brings us support for Kubernetes 1.19, so if you are testing this release candidate, remember to upgrade your clusters.

If you are **using Fleet autoscalers with a webhook that is also configured with an SSL certificate**, you will now be required to include a SAN in your certificate as Agones is now using Go 1.15. This migration was previously announced in the [v1.11.0 release notes](https://agones.dev/site/blog/2020/12/22/1.11.0-kubernetes-1.17-and-rest-api-for-allocation/) in December of last year.

The helm parameters for setting the service account names were modified to make them more consistent. If you are setting these
names you will need to modify your helm scripts to use the new parameters.

Check the <a href="https://github.com/googleforgames/agones/tree/release-1.16.0-rc" data-proofer-ignore>README</a> for details on features, installation and usage.

**Breaking changes:**

- Upgrade to Kubernetes 1.19 [\#2129](https://github.com/googleforgames/agones/issues/2129)
- Migrate to using SANs for webhook certificates for Go 1.15 [\#1899](https://github.com/googleforgames/agones/issues/1899)
- Review Rust gRPC ecosystem for Rust SDK [\#1300](https://github.com/googleforgames/agones/issues/1300)
- Upgrade/go 1.15 [\#2167](https://github.com/googleforgames/agones/pull/2167) ([cindy52](https://github.com/cindy52))
- Upgrade client-go to v0.19.12 [\#2155](https://github.com/googleforgames/agones/pull/2155) ([cindy52](https://github.com/cindy52))
- Update helm configuration to allow annotations to be added to service accounts [\#2134](https://github.com/googleforgames/agones/pull/2134) ([roberthbailey](https://github.com/roberthbailey))
- Replace grpcio with tonic [\#2112](https://github.com/googleforgames/agones/pull/2112) ([Jake-Shadle](https://github.com/Jake-Shadle))

**Implemented enhancements:**

- Provide an easier way to bring your own certificates via helm chart installation [\#2175](https://github.com/googleforgames/agones/issues/2175)
- Remove pre-1.0 documentation from the agones.dev website [\#2156](https://github.com/googleforgames/agones/issues/2156)
- It is not possible to configure Agones HELM with Stackdriver in GCloud when the cluster has Workload Identity. [\#2101](https://github.com/googleforgames/agones/issues/2101)
- Add "copy to clipboard" buttons to example commands on the website [\#2096](https://github.com/googleforgames/agones/issues/2096)
- Add memory and cpu recommendations to minikube starting documentation [\#1536](https://github.com/googleforgames/agones/issues/1536)
- Allow disabling of all allocator secrets in helm chart [\#2177](https://github.com/googleforgames/agones/pull/2177) ([sudermanjr](https://github.com/sudermanjr))
- add copy to clipboard function to code on website [\#2149](https://github.com/googleforgames/agones/pull/2149) ([cindy52](https://github.com/cindy52))
- Refactor ReadyGameServerCache to AllocationCache [\#2148](https://github.com/googleforgames/agones/pull/2148) ([markmandel](https://github.com/markmandel))
- Feature gates for advanced Allocation filtering [\#2143](https://github.com/googleforgames/agones/pull/2143) ([markmandel](https://github.com/markmandel))

Documentation: https://development.agones.dev/site/

See <a href="https://github.com/googleforgames/agones/blob/release-1.16.0-rc/CHANGELOG.md" data-proofer-ignore>CHANGELOG</a> for more details on changes.

Images available with this release:

- [gcr.io/agones-images/agones-controller:1.16.0-rc](https://gcr.io/agones-images/agones-controller:1.16.0-rc)
- [gcr.io/agones-images/agones-sdk:1.16.0-rc](https://gcr.io/agones-images/agones-sdk:1.16.0-rc)
- [gcr.io/agones-images/agones-ping:1.16.0-rc](https://gcr.io/agones-images/agones-ping:1.16.0-rc)
- [gcr.io/agones-images/agones-allocator:1.16.0-rc](https://gcr.io/agones-images/agones-allocator:1.16.0-rc)
- [gcr.io/agones-images/autoscaler-webhook:0.3](https://gcr.io/agones-images/autoscaler-webhook:0.3)
- [gcr.io/agones-images/cpp-simple-server:0.13](https://gcr.io/agones-images/cpp-simple-server:0.13)
- [gcr.io/agones-images/crd-client:0.5](https://gcr.io/agones-images/crd-client:0.5)
- [gcr.io/agones-images/nodejs-simple-server:0.5](https://gcr.io/agones-images/nodejs-simple-server:0.5)
- [gcr.io/agones-images/rust-simple-server:0.9](https://gcr.io/agones-images/rust-simple-server:0.9)
- [gcr.io/agones-images/simple-game-server:0.3](https://gcr.io/agones-images/simple-game-server:0.3)
- [gcr.io/agones-images/supertuxkart-example:0.3](https://gcr.io/agones-images/supertuxkart-example:0.3)
- [gcr.io/agones-images/unity-simple-server:0.3](https://gcr.io/agones-images/unity-simple-server:0.3)
- [gcr.io/agones-images/xonotic-example:0.8](https://gcr.io/agones-images/xonotic-example:0.8)

Helm chart available with this release:

- <a href="https://agones.dev/chart/stable/agones-1.16.0-rc.tgz" data-proofer-ignore>
  <code>helm install agones agones/agones --version 1.16.0-rc</code></a>

> Make sure to add our stable helm repository using `helm repo add agones https://agones.dev/chart/stable`

